Skip to main content
POST
/
v1
/
document
/
split-pdf
{
  "input": "https://example.com/document.pdf",
  "pages": "1-3,5,8-10"
}
curl -X POST https://api.ringbee.dev/v1/document/split-pdf \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@document.pdf" \
  -F "pages=1-3,5,8-10"
{
  "id": "job_abc123",
  "status": "pending"
}
{
"error": "<string>"
}
{
"error": "<string>"
}
{
  "input": "https://example.com/document.pdf",
  "pages": "1-3,5,8-10"
}
curl -X POST https://api.ringbee.dev/v1/document/split-pdf \
  -H "X-API-Key: YOUR_API_KEY" \
  -F "file=@document.pdf" \
  -F "pages=1-3,5,8-10"
ParamTypeDescription
pagesstringPage ranges to extract (e.g., “1-3,5,8-10”)

Authorizations

X-API-Key
string
header
required

Body

input
string
required

Input file URL

pages
string

Page ranges to extract (e.g., "1-3,5,8-10")

webhook_url
string

URL to receive job completion notification

Response

Job accepted

id
string
Example:

"job_abc123"

status
enum<string>
Available options:
pending,
processing,
completed,
failed,
cancelled
Example:

"pending"